

#ifdef        GLOBALS_API_DFLASH
    #define   EXTERN_API_DFLASH
    
#else
    #define   EXTERN_API_DFLASH     extern
#endif

#ifndef API_DFLASH_H_
#define API_DFLASH_H_                                      
                                              
    EXTERN_API_DFLASH     void    Api_Flash_Init(void);
    EXTERN_API_DFLASH     INT8U   Api_Flash_byte_read(INT16U _addr);                                                                                                                                      
    EXTERN_API_DFLASH     INT8U   Api_DFlashCommSequence(INT8U bCommandCounter);
    EXTERN_API_DFLASH     INT8U   Api_DFlashEraseSector(INT16U wDestination);
    EXTERN_API_DFLASH     INT8U   Api_DFalshProgram(INT16U wDest,INT16U wByteNub,INT16U *wSource);
                      
#endif /* API_DFLASH_H_ */
